#include <bits/stdc++.h>
using namespace std;
long long m[20001];
int main()
    {
        ios_base::sync_with_stdio(0);
        cin.tie(0);
        cout.tie(0);
        int N,L,l,r;
        string s;
        cin >> s >> N;
        L=s.size();
        m[0]=0;
        for(int i=1;i<L;++i)
            {
                if(s[i-1]>s[i]) m[i]=m[i-1]+1;
                else m[i]=m[i-1];
            }
        for(int i=1;i<=N;++i)
            {
                cin >> l >> r;
                cout << m[r-1]-m[l-1]+1 << "\n";
            }
        return 0;
    }